## WebKitDOMMediaController

WebKitDOMMediaController

## Functions

void | webkit_dom_media_controller_play ()
void | webkit_dom_media_controller_pause ()
void | webkit_dom_media_controller_unpause ()
WebKitDOMTimeRanges * | webkit_dom_media_controller_get_buffered ()
WebKitDOMTimeRanges * | webkit_dom_media_controller_get_seekable ()
gdouble | webkit_dom_media_controller_get_duration ()
gdouble | webkit_dom_media_controller_get_current_time ()
void | webkit_dom_media_controller_set_current_time ()
gboolean | webkit_dom_media_controller_get_paused ()
WebKitDOMTimeRanges * | webkit_dom_media_controller_get_played ()
gchar * | webkit_dom_media_controller_get_playback_state ()
gdouble | webkit_dom_media_controller_get_default_playback_rate ()
void | webkit_dom_media_controller_set_default_playback_rate ()
gdouble | webkit_dom_media_controller_get_playback_rate ()
void | webkit_dom_media_controller_set_playback_rate ()
gdouble | webkit_dom_media_controller_get_volume ()
void | webkit_dom_media_controller_set_volume ()
gboolean | webkit_dom_media_controller_get_muted ()
void | webkit_dom_media_controller_set_muted ()

## Properties

WebKitDOMTimeRanges * | buffered | Read
gdouble | current-time | Read / Write
gdouble | default-playback-rate | Read / Write
gdouble | duration | Read
gboolean | muted | Read / Write
gboolean | paused | Read
gdouble | playback-rate | Read / Write
gchar * | playback-state | Read
WebKitDOMTimeRanges * | played | Read
WebKitDOMTimeRanges * | seekable | Read
gdouble | volume | Read / Write

## Types and Values

| WebKitDOMMediaController

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMMediaController

## Implemented Interfaces

WebKitDOMMediaController implements WebKitDOMEventTarget.

## Description

## Functions

### webkit_dom_media_controller_play ()

    void
    webkit_dom_media_controller_play (WebKitDOMMediaController *self);

#### Parameters

self | A WebKitDOMMediaController |

### webkit_dom_media_controller_pause ()

    void
    webkit_dom_media_controller_pause (WebKitDOMMediaController *self);

#### Parameters

self | A WebKitDOMMediaController |

### webkit_dom_media_controller_unpause ()

    void
    webkit_dom_media_controller_unpause (WebKitDOMMediaController *self);

#### Parameters

self | A WebKitDOMMediaController |

### webkit_dom_media_controller_get_buffered ()

    WebKitDOMTimeRanges *
    webkit_dom_media_controller_get_buffered
                                   (WebKitDOMMediaController *self);

#### Parameters

self | A WebKitDOMMediaController |

#### Returns

A WebKitDOMTimeRanges.

[transfer full]

### webkit_dom_media_controller_get_seekable ()

    WebKitDOMTimeRanges *
    webkit_dom_media_controller_get_seekable
                                   (WebKitDOMMediaController *self);

#### Parameters

self | A WebKitDOMMediaController |

#### Returns

A WebKitDOMTimeRanges.

[transfer full]

### webkit_dom_media_controller_get_duration ()

    gdouble
    webkit_dom_media_controller_get_duration
                                   (WebKitDOMMediaController *self);

#### Parameters

self | A WebKitDOMMediaController |

#### Returns

A gdouble

### webkit_dom_media_controller_get_current_time ()

    gdouble
    webkit_dom_media_controller_get_current_time
                                   (WebKitDOMMediaController *self);

#### Parameters

self | A WebKitDOMMediaController |

#### Returns

A gdouble

### webkit_dom_media_controller_set_current_time ()

    void
    webkit_dom_media_controller_set_current_time
                                   (WebKitDOMMediaController *self,
                                    gdouble value);

#### Parameters

self | A WebKitDOMMediaController |
value | A gdouble |

### webkit_dom_media_controller_get_paused ()

    gboolean
    webkit_dom_media_controller_get_paused
                                   (WebKitDOMMediaController *self);

#### Parameters

self | A WebKitDOMMediaController |

#### Returns

A gboolean

### webkit_dom_media_controller_get_played ()

    WebKitDOMTimeRanges *
    webkit_dom_media_controller_get_played
                                   (WebKitDOMMediaController *self);

#### Parameters

self | A WebKitDOMMediaController |

#### Returns

A WebKitDOMTimeRanges.

[transfer full]

### webkit_dom_media_controller_get_playback_state ()

    gchar *
    webkit_dom_media_controller_get_playback_state
                                   (WebKitDOMMediaController *self);

#### Parameters

self | A WebKitDOMMediaController |

#### Returns

A gchar

### webkit_dom_media_controller_get_default_playback_rate ()

    gdouble
    webkit_dom_media_controller_get_default_playback_rate
                                   (WebKitDOMMediaController *self);

#### Parameters

self | A WebKitDOMMediaController |

#### Returns

A gdouble

### webkit_dom_media_controller_set_default_playback_rate ()

    void
    webkit_dom_media_controller_set_default_playback_rate
                                   (WebKitDOMMediaController *self,
                                    gdouble value);

#### Parameters

self | A WebKitDOMMediaController |
value | A gdouble |

### webkit_dom_media_controller_get_playback_rate ()

    gdouble
    webkit_dom_media_controller_get_playback_rate
                                   (WebKitDOMMediaController *self);

#### Parameters

self | A WebKitDOMMediaController |

#### Returns

A gdouble

### webkit_dom_media_controller_set_playback_rate ()

    void
    webkit_dom_media_controller_set_playback_rate
                                   (WebKitDOMMediaController *self,
                                    gdouble value);

#### Parameters

self | A WebKitDOMMediaController |
value | A gdouble |

### webkit_dom_media_controller_get_volume ()

    gdouble
    webkit_dom_media_controller_get_volume
                                   (WebKitDOMMediaController *self);

#### Parameters

self | A WebKitDOMMediaController |

#### Returns

A gdouble

### webkit_dom_media_controller_set_volume ()

    void
    webkit_dom_media_controller_set_volume
                                   (WebKitDOMMediaController *self,
                                    gdouble value,
                                    GError **error);

#### Parameters

self | A WebKitDOMMediaController |
value | A gdouble |
error | GError |

### webkit_dom_media_controller_get_muted ()

    gboolean
    webkit_dom_media_controller_get_muted (WebKitDOMMediaController *self);

#### Parameters

self | A WebKitDOMMediaController |

#### Returns

A gboolean

### webkit_dom_media_controller_set_muted ()

    void
    webkit_dom_media_controller_set_muted (WebKitDOMMediaController *self,
                                           gboolean value);

#### Parameters

self | A WebKitDOMMediaController |
value | A gboolean |

## Types and Values

### WebKitDOMMediaController

    typedef struct _WebKitDOMMediaController WebKitDOMMediaController;

## Property Details

### The `“buffered”` property

      “buffered”                 WebKitDOMTimeRanges *

read-only WebKitDOMTimeRanges* MediaController:buffered.

Flags: Read

### The `“current-time”` property

      “current-time”             gdouble

read-write gdouble MediaController:current-time.

Flags: Read / Write

Default value: 0

### The `“default-playback-rate”` property

      “default-playback-rate”    gdouble

read-write gdouble MediaController:default-playback-rate.

Flags: Read / Write

Default value: 0

### The `“duration”` property

      “duration”                 gdouble

read-only gdouble MediaController:duration.

Flags: Read

Default value: 0

### The `“muted”` property

      “muted”                    gboolean

read-write gboolean MediaController:muted.

Flags: Read / Write

Default value: FALSE

### The `“paused”` property

      “paused”                   gboolean

read-only gboolean MediaController:paused.

Flags: Read

Default value: FALSE

### The `“playback-rate”` property

      “playback-rate”            gdouble

read-write gdouble MediaController:playback-rate.

Flags: Read / Write

Default value: 0

### The `“playback-state”` property

      “playback-state”           gchar *

read-only gchar* MediaController:playback-state.

Flags: Read

Default value: ""

### The `“played”` property

      “played”                   WebKitDOMTimeRanges *

read-only WebKitDOMTimeRanges* MediaController:played.

Flags: Read

### The `“seekable”` property

      “seekable”                 WebKitDOMTimeRanges *

read-only WebKitDOMTimeRanges* MediaController:seekable.

Flags: Read

### The `“volume”` property

      “volume”                   gdouble

read-write gdouble MediaController:volume.

Flags: Read / Write

Default value: 0